# xorg.conf: X11 configuration file

########################################################################
#                                GENERAL                               #
########################################################################
Section "Module"
	Load    "dbe"
	Load    "bitmap"
	Load    "extmod"
	Load    "glx"
	Load    "int10"
	Load    "record"
	Load    "vbe"
	SubSection "extmod"
		Option  "omit xfree86-dga"
	EndSubSection
EndSection

Section "Files"
	FontPath    "/usr/share/fonts/X11/misc/"
	FontPath    "/usr/share/fonts/X11/Type1/"
	FontPath    "/usr/share/fonts/X11/CID/"
	FontPath    "/usr/share/fonts/X11/100dpi/"
	FontPath    "/usr/share/fonts/X11/75dpi/"
	FontPath    "/usr/share/fonts/X11/TrueType/"
EndSection

Section "DRI"
	Group   "video"
	Mode    0666
EndSection

Section "ServerFlags"
	Option  "AutoAddDevices"            "true"
	Option  "AllowEmptyInput"           "true"
EndSection

########################################################################
#                               DEVICES                                #
########################################################################
# Intel X3100
Section "Device"
	Identifier  "Intel X3100"
	Driver      "intel"
	BusID       "0:2:0"
	Option      "RenderAccel"           "true"
	Option      "AllowGLXWithComposite" "true"
	Option      "AccelMethod"           "UXA"
	Option      "XvMCSurfaces"          "7"
	Option      "XvMC"                  "true"
	Option      "UseEvents"             "true"
	Option      "DRI"                   "true"
	Option      "FramebufferCompression" "true"
	Option      "Monitor-LVDS"          "X61 LVDS Monitor"
	Option      "Monitor-VGA"           "X61 VGA Monitor"
EndSection

Section "Monitor"
	Identifier  "X61 LVDS Monitor"
	Option      "DPMS"
EndSection

Section "Monitor"
	Identifier  "X61 VGA Monitor"
	Option      "RightOf" "LVDS"
	Option      "DPMS"
	HorizSync   31-75
	VertRefresh 56-85
	Option      "Enable" "false"
EndSection

########################################################################
#                         SCREEN DEFINITIONS                           #
########################################################################
# X3100 screen
Section "Screen"
	Identifier  "X61 Screen"
	Device      "Intel X3100"
	DefaultDepth    24
	SubSection "Display"
		Depth       24
		Modes       "1680x1050" "1440x900" "1280x800" "1024x768" "800x600" "640x480"
		Virtual     2704 1680
	EndSubSection
EndSection

########################################################################
#                           SERVER LAYOUTS                             #
########################################################################
# default
Section "ServerLayout"
	Identifier "X61"
	Screen  "X61 Screen"
	Option  "BlankTime"                 "5"
	Option  "StandbyTime"               "5"
	Option  "SuspendTime"               "10"
	Option  "OffTime"                   "15"
	Option  "DontZap"                   "true"
	Option  "DontVTSwitch"              "false"
EndSection
